gtkmm: Gtk::CssParserError Class Reference

gtkmm 4.6.1

Public Types | Public Member Functions | List of all members
Gtk::CssParserError Class Reference

`#include <gtkmm/cssprovider.h>`

Inheritance diagram for Gtk::CssParserError:
[legend]

## Public Types
enum | Code { FAILED , SYNTAX , IMPORT , NAME , UNKNOWN_VALUE }
| Errors that can occur while parsing CSS. More...

## Public Member Functions
| CssParserError (Code error_code, const Glib::ustring & error_message)
| CssParserError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
virtual const char * | what () const noexcept

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Since gtkmm 3.96:

## Member Enumeration Documentation

## ◆ Code

enum Gtk::CssParserError::Code

Errors that can occur while parsing CSS.

These errors are unexpected and will cause parts of the given CSS to be ignored.

Since gtkmm 3.96:

Enumerator
FAILED | Unknown failure.
SYNTAX | The given text does not form valid syntax.
IMPORT | Failed to import a resource.
NAME | The given name has not been defined.
UNKNOWN_VALUE | The given value is not correct.

## Constructor & Destructor Documentation

## ◆ CssParserError() [1/2]

Gtk::CssParserError::CssParserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ CssParserError() [2/2]

Gtk::CssParserError::CssParserError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gtk::CssParserError::code | ( |  | ) | const